# Annotation

Functions to generate annotations for secondary structure plots, dot-plots, and others.

  Functions

  char **vrna_annotate_covar_db(const char **alignment, const char *structure, vrna_md_t *md_p)
    #include <ViennaRNA/plotting/utils.h>

    Produce covariance annotation for an alignment given a secondary structure.

  char **vrna_annotate_covar_db_extended(const char **alignment, const char *structure, vrna_md_t *md_p, unsigned int options)
    #include <ViennaRNA/plotting/utils.h>
  vrna_cpair_t *vrna_annotate_covar_pairs(const char **alignment, vrna_ep_t *pl, vrna_ep_t *mfel, double threshold, vrna_md_t *md)
    #include <ViennaRNA/plotting/utils.h>

    Produce covariance annotation for an alignment given a set of base pairs.